Bug 122210 - VGA port works, DVI port does not
VGA port works, DVI port does not
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-01 17:35 EDT by Tim Keitt
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X startup log (40.77 KB, text/plain)
2004-05-01 17:38 EDT, Tim Keitt
no flags Details
Boot log (5.49 KB, text/plain)
2004-05-01 17:38 EDT, Tim Keitt
no flags Details
dmesg (14.36 KB, text/plain)
2004-05-01 17:39 EDT, Tim Keitt
no flags Details

  None (edit)
Description Tim Keitt 2004-05-01 17:35:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
I installed FC2 test 3 on a computer with a Dell 2001FP display and an
ATI Radeon 9200SE card. The install went fine, but on reboot, I got a
blank screen as soon as the boot sequence switched to graphical mode.
I've noticed this same behavior in the past with geoforce cards as
well (in RH versions since 9). In the past, I've simply gone and found
the proprietary driver and things worked. This time as an experiement,
once I had a blank screen, I disconnected the DVI-D cable and attached
the VGA cable. Viola! I instantly had a working display. It seems that
the X driver is attempting to send signals to the VGA port, but not
the DVI port. This is odd as the monitor connected via the DVI port
was autodetected just fine during installation. (So probing finds the
monitor when attached to the DVI port, but X fails to choose the
correct port when starting a normal user session.) I suspect that this
is the cause of many other "blank screen" bug reports. Users should
try switching from the DVI cable to a VGA cable on cards that have
both VGA and DVI ports. If there is a workaround, post it here. I'd
like to use the DVI cable.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install on machine with dual VGA/DVI ports and monitor on DVI port
2. Reboot at end of installation session
    

Actual Results:  No X display

Expected Results:  X display

Additional info:
Comment 1 Tim Keitt 2004-05-01 17:38:24 EDT
Created attachment 99864 [details]
X startup log
Comment 2 Tim Keitt 2004-05-01 17:38:51 EDT
Created attachment 99865 [details]
Boot log
Comment 3 Tim Keitt 2004-05-01 17:39:54 EDT
Created attachment 99866 [details]
dmesg
Comment 4 Mike A. Harris 2004-10-01 02:29:51 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.